Name:		mpfr
Version:	2.2.0
Release:	1
Summary:	C library for multiple-precision floating-point computations
Group:		System Environment/Libraries
License:	LGPL
URL:		http://www.mpfr.org/
Source0:	http://www.mpfr.org/mpfr-current/mpfr-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gmp-devel >= 4.2.0
Requires:	gmp >= 4.2.0

%description
The MPFR library is a C library for multiple-precision floating-point 
computations with exact rounding (also called correct rounding). It is based 
on the GMP multiple-precision library.

The main goal of MPFR is to provide a library for multiple-precision 
floating-point computation which is both efficient and has a well-defined 
semantics. It copies the good ideas from the ANSI/IEEE-754 standard for 
double-precision floating-point arithmetic (53-bit mantissa).

%package devel
Summary: Development environment for the multiple-precision floating-point lib
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
PreReq: /sbin/install-info

%description devel
The static libraries, header files and documentation for using the MPFR 
multiple-precision floating-point library in applications.

If you want to develop applications which will use the MPFR library,
you'll need to install the gmp-devel package. You'll also need to
install the gmp package.

%prep
%setup -q

%build
%configure --enable-shared --enable-static
make %{?_smp_mflags}
make check

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/mpfr.info.gz %{_infodir}/dir

%preun devel
if [ "$1" = 0 ]; then
	/sbin/install-info --delete %{_infodir}/mpfr.info.gz %{_infodir}/dir
fi

%files
%defattr(-,root,root,-)
%doc COPYING COPYING.LIB NEWS README
%{_libdir}/libmpfr.so.*
%{_infodir}/mpfr.info*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*.h
%{_libdir}/libmpfr.a
%{_libdir}/libmpfr.so

%changelog
* Thu Jun  8 2006 Thomas Woerner <twoerner@redhat.com> 2.2.0-1
- initial build
